###
# Events
# Copyright © 2017 Alexander Konov. All rights reserved.
###

'use strict'

class Events

  ###
  # namespace for jquery events
  ###
  @namespace = 'attachments'

  ###
  # Constructor
  # @param DI di - dependencies object
  ###
  constructor: (di) ->
    di.resolve ['$']
    @_$ = di.get '$'

  ###
  # Attach an event handler for object
  # @param Object object - object for event
  # @param string name - event name
  # @param callback handler - event handler
  # @param mixed{} options - additional options
  #         Options:
  #           selector - a selector string to filter the descendants of the selected elements that trigger the event
  ###
  on: (object, name, handler, options) ->
    options = options || {}
    if object instanceof @_$
      $object = object
    else
      $object = @_$ object
    selector = options.selector || null
    $object.on name + '.' + @constructor.namespace, selector, handler
    return

  ###
  # Trigger event for object
  # @param Object object - object for event
  # @param string name - event name
  # @param mixed[] data - data for event handler
  ###
  trigger: (object, name, data) ->
    @_$(object).trigger name + '.' + @constructor.namespace, data

module.exports = Events