###
# Template
# Copyright © 2017 Alexander Konov. All rights reserved.
###

'use strict'

class Template

  ###
  # Constructor
  # @param DI di - dependencies object
  ###
  constructor: (di)->
    di.resolve ['lodash.template', 'utils.Translate'], ['utils.Translate']

    @_template = di.get 'lodash.template'
    @_translate = di.getInstance 'utils.Translate'

  ###
  # Render view to html
  # @param string source - view source for rendering
  # @param mixed{} vars - vars for inserting to view
  # @return string
  # For syntax detail see https://lodash.com/docs/4.17.4#template
  ###
  render: (source, vars) ->
    vars = {} unless vars
    vars.translate = @_translate
    render = @_template source
    render vars

module.exports = Template