###
# Function for merge two associate objects
# Copyright © 2017 Alexander Konov. All rights reserved.
###

'use strict'

###
# Merge two associate objects
# @param {} master - master object, used as base
# @param {} slave - slave object, used as addition
# @return {}
###
merge = (master, slave) ->
  result = {}
  for own key, value of master
    if (typeof value) is 'object' and slave[key] isnt undefined
      if value isnt null
        result[key] = merge value, slave[key]
      else
        result[key] = slave[key]
    else if slave[key] isnt undefined
      result[key] = slave[key]
    else
      result[key] = value
  result

module.exports = merge