##
# Template for view input field for attach in triggered form
# Copyright © 2017 Alexander Konov. All rights reserved.
##
# @var Translate translate - object for getting of translated text
# @var File[] files - selected files
##
# Required attributes:
#  [jq-attachments-selected-files] - main container for selected files
#  [jq-attachments-selected-files-file] - container for selected file
#  [data-id="{FILE_ID}"] - file id. Should be have value = file id and be attribute for main container for selected file ([jq-attachments-selected-files-file])
#  [jq-attachments-selected-files-file-remove] -  attribute of element that is a deselect file (by click event). Should be inside [jq-attachments-selected-files-file]
#  [jq-attachments-add] - attribute of element that is an opened selection file UI (by click event)
##
'use strict'


template = """
  <div class="jq-attachments-selected <%= (files.length == 0) ? 'empty' : '' %>">
    <div class="jq-attachments-selected-empty"><%= translate.t('No attached files.')%></div>
    <ul class="jq-attachments-selected-files" jq-attachments-selected-files>
    <% for (var i = 0, l = files.length; i<l; i++) {%>
        <% file = files[i]%>
        <li class="jq-attachments-selected-file" data-id="<%= file.getField('id')%>" jq-attachments-selected-files-file>
            <a class="jq-attachments-selected-file-load" href="<%= file.getField('url')%>" target="_blank"><%= file.getField('name')%></a>
            <span class="jq-attachments-selected-file-remove" jq-attachments-selected-files-file-remove>+</span>
        </li>
    <%}%>
    </ul>
    <button class="jq-attachments-add" jq-attachments-add><%= translate.t('Add files')%></button>
 </div>
"""

module.exports = template