##
# Template for view file item
# Copyright © 2017 Alexander Konov. All rights reserved.
##
# @var Translate translate - object for getting of translated text
# @var File file - file which need show
# @var bool selected - status of selected file for attach
##
# Required attributes:
#  [jq-attachments-file] - main container for file
#  [data-id="{FILE_ID}"] - file id. Should be have value = file id and be attribute for main container
#  [data-selected="true|false"] - status of selected file for attach. Should be have value = true|false and be attribute for main container
#  [jq-attachments-file-select] -  attribute of element that is a file selection interface for attachments (by click event)
#  [jq-attachments-file-delete] -  attribute of element that is a file delete interface (by click event)
##
'use strict'

template = """
  <div class="jq-attachments-file" data-id="<%= file.getField('id')%>" data-selected="<%= (selected ? 'true' : 'false')%>" jq-attachments-file>
      <input type="checkbox" jq-attachments-file-select<%= (selected ? ' checked' : '')%>/>
      <span class="jq-attachments-file-delete" jq-attachments-file-delete></span>
      <img src="<%= file.getField('preview_url')%>" alt="<%= file.getField('name')%>"/>
      <a href="<%= file.getField('url')%>" target="_blank" title="<%= file.getField('name')%>" class="jq-attachments-file-link"><%= file.getField('name')%></a>
  </div>
"""

module.exports = template