###
# Test for file model
# Copyright © 2017 Alexander Konov. All rights reserved.
###

'use strict'

File = require '../../src/models/File'

describe 'models.File', ->

  it 'should be set fields in the constructor', ->
    file = new File {id: 1, name: 'file', extension: 'png'}

    expect(file.getField('id')).toBe('1')
    expect(file.getField('name')).toBe('file')
    expect(file.getField('extension')).toBe('png')
    return

  ######################################################################################################################

  it 'should be set fields', ->
    file = new File
    file.setFields {id: 1, created_at: 123456789, url: 'http://domain.zone'}

    expect(file.getField('id')).toBe('1')
    expect(file.getField('created_at')).toBe('123456789')
    expect(file.getField('url')).toBe('http://domain.zone')
    return

  ######################################################################################################################

  it 'should be set field', ->
    file = new File

    file.setField 'id', 1
    expect(file.getField('id')).toBe('1')

    file.setField 'id', 10
    expect(file.getField('id')).toBe('10')

    file.setField 'extension', 'png'
    expect(file.getField('extension')).toBe('png')
    return

  ######################################################################################################################

  it 'files should be not affect on each other', ->
    file1 = new File
    file2 = new File

    file1.setField 'id', 1
    file2.setField 'id', 2
    file1.setField 'name', 'file'

    expect(file1.getField('id')).toBe('1')
    expect(file2.getField('id')).toBe('2')
    expect(file1.getField('name')).toBe('file')
    return
