###
# Test for Translate
# Copyright © 2017 Alexander Konov. All rights reserved.
###

'use strict'

DI = require '../../src/di/DI'
Translate = require '../../src/utils/Translate'

describe 'utils.Translate', ->

  it 'should be translate set phrases', ->
    phrases =
      'phrase 1': 'фраза 1'
      'phrase 2': 'фраза 2'
      'phrase 3': 'фраза 3'

    translate = new Translate phrases

    expect(translate.t 'phrase 1').toBe 'фраза 1'
    expect(translate.t 'phrase 2').toBe 'фраза 2'
    expect(translate.t 'phrase 3').toBe 'фраза 3'
    return

  ######################################################################################################################

  it 'should be no translate for unset phrases', ->
    translate = new Translate {}

    expect(translate.t 'phrase 1').toBe 'phrase 1'
    expect(translate.t 'phrase 2').toBe 'phrase 2'
    expect(translate.t 'phrase 3').toBe 'phrase 3'
    return

  ######################################################################################################################

  it 'should be exist inserted data params for set phrases', ->
    phrases =
      'phrase {number}': 'фраза {number}'
      'phrase {number} of {count}': 'фраза {number} из {count}'

    translate = new Translate phrases

    expect(translate.t 'phrase {number}', number: 1).toBe 'фраза 1'
    expect(translate.t 'phrase {number} of {count}', {number: 2, count: 3}).toBe 'фраза 2 из 3'
    return

  ######################################################################################################################

  it 'should be exist inserted data params for not set phrases', ->
    translate = new Translate {}

    expect(translate.t('phrase {number}', number: 1)).toBe 'phrase 1'
    expect(translate.t 'phrase {number} of {count}', {number: 2, count: 3}).toBe 'phrase 2 of 3'
    return