###
# Test for file Template
# Copyright © 2017 Alexander Konov. All rights reserved.
###

'use strict'

DI = require '../../src/di/DI'
Template = require '../../src/utils/Template'

class TestTranslate

describe 'utils.Template', ->

  it 'should be exist resolved dependencies', ->
    di = new DI()
    di
      .set('lodash.template', ->)
      .set 'utils.Translate', TestTranslate
      .setInstance 'utils.Translate'
    expect(-> new Template di).not.toThrowError()
    return

  ######################################################################################################################

  it 'should be render view', ->
    templateTest = jasmine.createSpyObj 'templateTest', ['invoke']
    renderTest = jasmine.createSpyObj 'renderTest', ['invoke']
    lodash = (source)->
      templateTest.invoke source
      (vars) ->
        renderTest.invoke vars

    di = new DI()
    di
      .set 'lodash.template', lodash
      .set 'utils.Translate', TestTranslate
      .setInstance 'utils.Translate'

    source = '<p>source</p>'
    vars =
      var1: 1
      var2: 2
    varsToRender =
      var1: 1
      var2: 2
      translate: di.getInstance 'utils.Translate'

    template = new Template di
    template.render source, vars

    expect(templateTest.invoke).toHaveBeenCalledWith source
    expect(renderTest.invoke).toHaveBeenCalledWith varsToRender
    return
